---
title: initial-letter
slug: Web/CSS/initial-letter
tags:
  - CSS
  - CSS Inline
  - CSS Property
  - Experimental
  - Graphics
  - Layout
  - Reference
  - Web
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <code>initial-letter</code> CSS property sets styling for dropped, raised, and sunken initial letters.</p>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
initial-letter: normal;

/* Numeric values */
initial-letter: 1.5;    /* Initial letter occupies 1.5 lines */
initial-letter: 3.0;    /* Initial letter occupies 3 lines */
initial-letter: 3.0 2;  /* Initial letter occupies 3 lines and
                           sinks 2 lines */

/* Global values */
initial-letter: inherit;
initial-letter: initial;
initial-letter: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>The keyword value <code>normal</code>, or a <code>&lt;number&gt;</code> optionally followed by an <code>&lt;integer&gt;</code>.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>No special initial-letter effect. Text behaves as normal.</dd>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>Defines the size of the initial letter, in terms of how many lines it occupies. Negative values are not allowed.</dd>
 <dt><code>&lt;integer&gt;</code></dt>
 <dd>Defines the number of lines the initial letter should sink when the size of it is given. Values must be greater than zero. If omitted, it duplicates the size value, floored to the nearest positive whole number.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_initial_letter_size">Setting initial letter size</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="normal"&gt;Initial letter is normal&lt;/p&gt;
&lt;p class="onefive"&gt;Initial letter occupies 1.5 lines&lt;/p&gt;
&lt;p class="three"&gt;Initial letter occupies 3 lines&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush:css notranslate">.normal {
  -webkit-initial-letter: normal;
  initial-letter: normal;
}

.onefive {
  -webkit-initial-letter: 1.5;
  initial-letter: 1.5;
}

.three {
  -webkit-initial-letter: 3.0;
  initial-letter: 3.0;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_initial_letter_size', 250, 180)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Inline', '#sizing-drop-initials', 'initial-letter')}}</td>
   <td>{{Spec2('CSS3 Inline')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.initial-letter")}}</p>

<ul>
  <li>{{cssxref("initial-letter-align")}}</li>
  <li><a href="https://www.oddbird.net/2017/01/03/initial-letter/">Drop caps in CSS</a></li>
 </ul>
